%define	api		0.7
%define	major		0
%define	libname		%mklibname %{name} %{api} %{major}
%define gi_libname	%mklibname %{name}-gir %{api}
%define develname	%mklibname -d %{name} %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:          rest
Version:       0.7.90
Release:       %mkrel 2
Summary:       A library for access to RESTful web services

Group:         System/Libraries
License:       LGPLv2
URL:           http://www.gnome.org
Source0:       http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        rest-fixdso.patch

BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: gtk-doc

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent 
remote objects, which methods can then be called on. The majority of services 
don't actually adhere to this strict definition. Instead, their RESTful end 
point usually has an API that is just simpler to use compared to other types 
of APIs they may support (XML-RPC, for instance). It is this kind of API that 
this library is attempting to support.

%package -n %{libname}
Summary:	A library for access to RESTful web services
Group:		System/Libraries

%description -n %{libname}
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n %{gi_libname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .fixdso

%build
%configure2_5x \
	--disable-static \
	--enable-gtk-doc \
	--enable-introspection=yes

%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/librest-%{api}.so.%{major}
%{_libdir}/librest-%{api}.so.%{major}.*
%{_libdir}/librest-extras-%{api}.so.%{major}
%{_libdir}/librest-extras-%{api}.so.%{major}.*

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/Rest-%{api}.typelib
%{_libdir}/girepository-1.0/RestExtras-%{api}.typelib

%files -n %{develname}
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}*
%{_libdir}/librest-%{api}.so
%{_libdir}/librest-extras-%{api}.so
%{_datadir}/gtk-doc/html/%{name}*%{api}
%{_datadir}/gir-1.0/Rest-%{api}.gir
%{_datadir}/gir-1.0/RestExtras-%{api}.gir



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.7.90-2.mga3
+ Revision: 380328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 14 2012 ovitters <ovitters> 0.7.90-1.mga3
+ Revision: 281269
- new version 0.7.90

* Fri Nov 11 2011 wally <wally> 0.7.12-1.mga2
+ Revision: 166725
- new version 0.7.12
- minor .spec cleanup

* Thu Oct 27 2011 wally <wally> 0.7.11-1.mga2
+ Revision: 158824
- new version 0.7.11

* Tue Jul 05 2011 cjw <cjw> 0.7.10-1.mga2
+ Revision: 118964
- use mkrel
- imported package rest

